﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace J2.eFaxDeveloper.Sample.WebApplication.Models
{
    /// <summary>
    /// Test fax, simple class that hlds
    /// </summary>
    public class TestFax
    {
        /// <summary>
        /// Fax number 
        /// </summary>
        [Required]
        [DataType(DataType.Text)]
        [DisplayName("Fax number")]
        [Description("Fax number")]
        [RegularExpression(@"^[01]?[- .]?(\([2-9]\d{2}\)|[2-9]\d{2})[- .]?\d{3}[- .]?\d{4}$", ErrorMessage = "Not a valid phone number")]
        public string FaxNumber { get; set; }

        /// <summary>
        /// Text used to send as txt document to be fax
        /// </summary>
        [Required]
        [DataType(DataType.Text)]
        [DisplayName("Fax message")]
        [Description("The Fax message will be sent as txt document to be fax")]
        public string FaxMessage { get; set; }

        /// <summary>
        /// Email address that will received the notification about the fax transmission
        /// </summary>
        [Required]
        [DataType(DataType.EmailAddress)]
        [DisplayName("Disposition email")]
        [Description("Email address that will received the notification about the fax transmission")]
        [RegularExpression(@"^(?("")("".+?""@)|(([0-9a-zA-Z]((\.(?!\.))|[-!#\$%&'\*\+/=\?\^`\{\}\|~\w])*)(?<=[0-9a-zA-Z])@))(?(\[)(\[(\d{1,3}\.){3}\d{1,3}\])|(([0-9a-zA-Z][-\w]*[0-9a-zA-Z]\.)+[a-zA-Z]{2,6}))$", ErrorMessage = "Not a valid email")]
        public string DispositionEmail { get; set; }
    }
}