﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace J2.eFaxDeveloper.Sample.WebApplication
{
    public class RedirectToHttpsAttribute : ActionFilterAttribute 
    {
        public override void OnActionExecuting(ActionExecutingContext filterContext) 
        {
            var request = filterContext.HttpContext.Request;
            var response = filterContext.HttpContext.Response;

            if (!request.IsSecureConnection && !request.IsLocal) 
            {
                string redirectUrl = request.Url.ToString().Replace("http", "https");
                response.Redirect(redirectUrl);
            }

            base.OnActionExecuting(filterContext);
        }
    }
}