﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Fax inbox
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <link href="<%= ResolveUrl("~/Content/style.css")%>" rel="stylesheet" type="text/css" />
    <script src="<%= ResolveUrl("~/Scripts/jquery.tablesorter.min.js")%>" type="text/javascript"></script>
    
    <script type="text/javascript">
        $(document).ready(function () {

            // enable sorting on the table
            $("#InboundFax").tablesorter();

            // set ajax not to cache server response
            $.ajaxSetup({ cache: false });

            // get the first inbound fax
            GetNextInbound(0);
        });

        function GetNextInbound(index) {

            // call eFaxDeveloperController.GetInbound(int index)
            $.getJSON('<%= Url.Action(("GetInbound")) %>?index=' + index, function (obj) {

                if (obj != null) {

                    if (obj.Error == null) {

                        // create a new table row with the data return from the webservice
                        var newRow = '<tr><td>' /*+ obj.Index
                                                            + '</td><td>'*/ + obj.AccountID
                                                            + '</td><td>' + obj.PageCount
                                                            + '</td><td>' + obj.ANI
                                                            + '</td><td>' + obj.CSID
                                                            + '</td><td>' + obj.DateReceived

                        // check if the document is mutipage
                        if (!obj.IsMultipage) {
                            // create a single link for the mutipage document 
                            newRow += '</td><td><a href="<%= Url.Action(("GetInboundImage")) %>?id=' + obj.id + '">Document</a>';
                        }
                        else {
                            // create a link for each page(s) of the document
                            newRow += '</td><td>';
                            for (i = 0; i < obj.PageCount; i++) {
                                newRow += '<a href="<%= Url.Action(("GetInboundImage")) %>?id=' + obj.id + '&page=' + i + '">' + (i + 1) + '</a>,';
                            }

                        }

                        newRow += '</td></tr>'

                        // add the row to the table
                        $('#InboundFax > tbody:last').append(newRow);
                        // udpate the table sorting
                        $("#InboundFax").trigger("update");
                    }
                    
                    // get the next inbound
                    GetNextInbound(obj.Index + 1);
                }
            });
        }

        function Refresh() {

            $("#InboundFax tbody tr").remove();
            GetNextInbound(0);
        }
    </script>

    <h2>Fax inbox</h2>

    <p>
        To receive inbound fax just go to <a href="https://secure.efaxdeveloper.com/EFax_UnifiedLogin.serv" target="_blank">your efax developer settings</a> 
        and set the inbound destination URL to <b> 
        <% if (Request.ApplicationPath == "/") {%>

        <%= Html.Encode(String.Format("https://{0}/services/InboundFaxService.svc/receive", Request.Url.Host))%>

        <% }else {%>

        <%= Html.Encode(String.Format("https://{0}{1}/services/InboundFaxService.svc/receive", Request.Url.Host, Request.ApplicationPath))%>

        <% } %>
        </b>
    </p>

    <a href="javascript:Refresh()">Refresh</a>

    <table id="InboundFax" class="tablesorter">
    <thead>
        <tr>
            <!--<th>Index</th>-->
             <th>AccountID</th>
             <th>Page Count</th>
             <th>ANI</th>
             <th>CSID</th>
             <th>Date Received</th>
             <th>Document(s)</th>
        </tr>
    </thead>
        <tbody> 
        </tbody>
    </table>

     <div>
        <%= Html.ActionLink("Back to Home", "Index", "Home") %>
    </div>

</asp:Content>
